org.apache.ignite.internal

## Class MarshallerPlatformIds

- java.lang.Object
- - org.apache.ignite.internal.MarshallerPlatformIds

    public final class MarshallerPlatformIds
    extends Object

Constants for platform IDs to feed into `MarshallerContext`.

### Field Summary

Fields
`static byte` `DOTNET_ID`
`static byte` `JAVA_ID`

### Method Summary

All Methods Static Methods Concrete Methods
`static byte[]` `otherPlatforms(byte platformId)` Gets all known platform ids except the specified one.
`static String` `platformName(byte platformId)` Gets the platform name by id.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### JAVA_ID

    public static final byte JAVA_ID

See Also:
  Constant Field Values

#### DOTNET_ID

    public static final byte DOTNET_ID

See Also:
  Constant Field Values

### Method Detail

#### platformName

    public static String platformName(byte platformId)

Gets the platform name by id.

Parameters:
  `platformId` - Id.
Returns:
  Name.

#### otherPlatforms

    public static byte[] otherPlatforms(byte platformId)

Gets all known platform ids except the specified one.

Parameters:
  `platformId` - Id.
Returns:
  Other ids.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022